#ifndef BUFFER_H
#define BUFFER_H

#include       "defines.h"
#include       "errors.h"


namespace cryptrav
{


class Buffer
{
 private:
  quint8*      bufferP;
  QFile*       fileP;

  qint32       length;
  qint32       position;


 public:
  Buffer(QFile* pFile);

  qint32       read(quint8* ptrData, qint32 sizeData);
  qint32       write(quint8* ptrData, qint32 sizeData);

  qint32       flush(void);

  ~Buffer();
};


} // namespace "cryptrav"

#endif // BUFFER_H
